Chat with conversation memory
curl --request POST \
--url https://api.dualship.run/api/v1/ai/conversations/chat \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Workspace-Id: <x-workspace-id>' \
--data '
{
"conversation_id": "<string>",
"message": "<string>",
"workspace_id": "<string>",
"document_ids": [
"<string>"
],
"max_history": 50,
"max_tokens": 8192,
"model": "<string>",
"system_prompt": "<string>",
"temperature": 1
}
'import requests
url = "https://api.dualship.run/api/v1/ai/conversations/chat"
payload = {
"conversation_id": "<string>",
"message": "<string>",
"workspace_id": "<string>",
"document_ids": ["<string>"],
"max_history": 50,
"max_tokens": 8192,
"model": "<string>",
"system_prompt": "<string>",
"temperature": 1
}
headers = {
"X-Workspace-Id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Workspace-Id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
conversation_id: '<string>',
message: '<string>',
workspace_id: '<string>',
document_ids: ['<string>'],
max_history: 50,
max_tokens: 8192,
model: '<string>',
system_prompt: '<string>',
temperature: 1
})
};
fetch('https://api.dualship.run/api/v1/ai/conversations/chat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": "Here is my response...",
"conversation_id": "conv_abc123",
"input_tokens": 150,
"model": "gpt-4",
"output_tokens": 200
}{
"code": "BAD_REQUEST",
"error": "invalid request parameters"
}{
"code": "UNAUTHORIZED",
"error": "unauthorized"
}{
"code": "INTERNAL_ERROR",
"error": "internal server error"
}{
"code": "SERVICE_UNAVAILABLE",
"error": "service unavailable"
}ai
Chat with conversation memory
Send a message in a conversation with memory persistence
POST
/
api
/
v1
/
ai
/
conversations
/
chat
Chat with conversation memory
Authorizations
JWT Bearer token authentication
Headers
Workspace ID
Body
application/json
Chat request
Required string length:
1 - 100Minimum string length:
1Maximum array length:
10Required range:
1 <= x <= 100Required range:
1 <= x <= 16384Maximum string length:
10000Required range:
0 <= x <= 2Was this page helpful?
⌘I